Bug 28881 - Suggestion not displayed on the order receive page
Summary: Suggestion not displayed on the order receive page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 5346 23376
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-19 10:34 UTC by Jonathan Druart
Modified: 2021-09-20 11:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.04,20.11.10


Attachments
Bug 28881: (bug 23376 follow-up) Fix suggestion display on order receive page (1.52 KB, patch)
2021-08-19 10:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28881: (bug 23376 follow-up) Fix suggestion display on order receive page (1.57 KB, patch)
2021-08-19 18:21 UTC, David Nind
Details | Diff | Splinter Review
Bug 28881: (bug 23376 follow-up) Fix suggestion display on order receive page (1.67 KB, patch)
2021-08-27 06:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-08-19 10:34:31 UTC

    
Comment 1 Jonathan Druart 2021-08-19 10:38:35 UTC
Created attachment 123969 [details] [review]
Bug 28881: (bug 23376 follow-up) Fix suggestion display on order receive page

On bug 23376 we replaced $order, from hashref Koha::Acq::Order, but 2
occurrences have not been corrected.

It causes a bug on the order receive page when the bib is linked with a
suggestion.

Test plan:
Create an order from bib A, create a suggestion for purchase on bib A
(OPAC)
Receive the order.
Without the patch: Notice the "Suggested by: (suggestion #)"
With the patch you see the info of the suggester
Comment 2 David Nind 2021-08-19 18:21:46 UTC
Created attachment 123979 [details] [review]
Bug 28881: (bug 23376 follow-up) Fix suggestion display on order receive page

On bug 23376 we replaced $order, from hashref Koha::Acq::Order, but 2
occurrences have not been corrected.

It causes a bug on the order receive page when the bib is linked with a
suggestion.

Test plan:
Create an order from bib A, create a suggestion for purchase on bib A
(OPAC)
Receive the order.
Without the patch: Notice the "Suggested by: (suggestion #)"
With the patch you see the info of the suggester

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Marcel de Rooy 2021-08-27 06:38:22 UTC
Created attachment 124130 [details] [review]
Bug 28881: (bug 23376 follow-up) Fix suggestion display on order receive page

On bug 23376 we replaced $order, from hashref Koha::Acq::Order, but 2
occurrences have not been corrected.

It causes a bug on the order receive page when the bib is linked with a
suggestion.

Test plan:
Create an order from bib A, create a suggestion for purchase on bib A
(OPAC)
Receive the order.
Without the patch: Notice the "Suggested by: (suggestion #)"
With the patch you see the info of the suggester

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2021-08-27 13:37:04 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-09-03 13:56:11 UTC
Pushed to 21.05.x for 21.05.04
Comment 6 Fridolin Somers 2021-09-08 20:11:15 UTC
Pushed to 20.11.x for 20.11.10
Comment 7 Victor Grousset/tuxayo 2021-09-20 11:17:38 UTC
Missing dependencies for 20.05.x, it shouldn't be affected, no backport.